CMAKE_MINIMUM_REQUIRED(VERSION 3.5)

SET(CMAKE_C_COMPILER "/usr/bin/gcc")
SET(CMAKE_CXX_COMPILER "/usr/bin/g++")

SET(CMAKE_C_STANDARD 99)
#SET (CMAKE_CXX_STANDARD 11)

PROJECT(LinuxServerDemo VERSION 1.0.0)
# 自定义宏，代码中可以使用 
if(CMAKE_HOST_WIN32)
    ADD_DEFINITIONS(-D_WINDOWS)
elseif(CMAKE_HOST_UNIX)
    ADD_DEFINITIONS(-D_LINUX)
endif() 

ADD_SUBDIRECTORY(YCamSDK)
ADD_SUBDIRECTORY(LinuxServerDemo)
